HomeGuidesAPI ReferenceRelease notes
Log In
API Reference

Get Tagged Guardrails

Get all ids tagged by all tags.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required
Headers
string
enum
Defaults to applicat{"openapi":"3.1.0","paths":{"/v1/agents":{"get":{"tags":["Agents"],"summary":"Get Agents","description":"Get agents with global search or specific filters.\nIf search is provided, it takes priority over filters.","operationId":"get_agents","parameters":[{"name":"only_archived","in":"query","required":false,"schema":{"type":"boolean","default":false,"title":"Only Archived"}},{"name":"search","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Search"}},{"name":"name","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Name"}},{"name":"created_by","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Created By"}},{"name":"dataset_id","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Dataset Id"}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","minimum":1,"description":"Page number","default":1,"title":"Page"},"description":"Page number"},{"name":"size","in":"query","required":false,"schema":{"type":"integer","maximum":1000,"minimum":25,"default":25,"title":"Size"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Page_Agent_Customized"}}}},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error"}}},"post":{"tags":["Agents"],"summary":"Create Agent","description":"Create a new agent.","operationId":"create_agent","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AgentCreatePayload"}}}},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Agent"}}}},"401":{"description":"Unauthorized"},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error"}}}},"/v1/agents/bulk-action":{"post":{"tags":["Agents"],"summary":"Agent Bulk Action","description":"Perform a bulk action on a list of agents.","operationId":"agent_bulk_action","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AgentBulkActionRequest"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BulkActionResponse"}}}},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error"}}}},"/v1/agents/credential-schema":{"post":{"tags":["Agents"],"summary":"Get Credential Schema","description":"Get the credential schema for a flowise agent.","operationId":"get_credential_schema","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FlowiseGetCredentialSchema"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FlowiseCredentialUserInput"}}}},"401":{"description":"Unauthorized"},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error"}}}},"/v1/agents/model-status":{"get":{"tags":["Agents"],"summary":"Get Model Status","operationId":"get_model_status","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ModelStatus"}}}},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error"}},"deprecated":true}},"/v1/agents/models":{"get":{"tags":["Agents"],"summary":"Get Provider Config","operationId":"get_llm_models","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"items":{"$ref":"#/components/schemas/ProviderConfig"},"type":"array","title":"Response Get Llm Models"}}}}}}},"/v1/agents/tags/{tag}":{"get":{"tags":["Agents"],"summary":"Get Tagged Agents","description":"Get all ids tagged by *all* tags.","operationId":"get_tagged_agents","parameters":[{"name":"tag","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Tag"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"type":"string","format":"uuid4"},"title":"Response Get Tagged Agents"}}}},"401":{"description":"Unauthorized"},"404":{"description":"Not Found"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"500":{"description":"Internal Server Error"}}}},"/v1/agents/test-model-connection":{"post":{"tags":["Agents"],"summary":"Test Model Connection","operationId":"test_model_connection","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ModelLLM"}}},"required":true},"responses":{"204":{"description":"Successful Response"},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error"}}}},"/v1/agents/test-tool-connection":{"post":{"tags":["Agents"],"summary":"Test Tool Connection","description":"Test a tool connection.\n\nParameters:\n\nFor `ToolConfigPostgres`:\n- **type**: Literal type indication for Postgres tool (`Postgres`).\n- **connection_string**: Connection string for the Postgres database.\n\nFor `ToolConfigMySQL`:\n- **type**: Literal type indication for MySQL tool (`MySQL`).\n- **connection_string**: Connection string for the MySQL database.\n\nFor `ToolConfigMSSQL`:\n- **type**: Literal type indication for MSSQL tool (`MSSQL`).\n- **connection_string**: Connection string for the MSSQL database.\n\nFor `ToolConfigOracle`:\n- **type**: Literal type indication for Oracle tool (`Oracle`).\n- **connection_string**: Connection string for the Oracle database.\n\nFor `ToolConfigBigQuery`:\n- **type**: Literal type indication for BigQuery tool (`BigQuery`).\n- **project_id**: Project ID for BigQuery.\n- **dataset_id**: Dataset ID for BigQuery.\n- **service_account**: Service account information as a dictionary with keys and values as strings.\n\nFor `ToolConfigPGVector`:\n- **type**: Literal type indication for PG Vector tool (`PGVector`).\n- **connection_string**: Connection string for the PG Vector database.\n- **table_name**: Name of the table in the PG Vector database.\n- **embedding_model**: Configuration of the embedding model to be used.\n - **provider**: Provider of the embedding model (`VertexAIModelGarden`).\n - **project_id**: Project ID for Vertex AI.\n - **endpoint_id**: Endpoint ID for the model.\n - **location**: Location of the Vertex AI endpoint.\n - **service_account**: Service account information as a dictionary with keys and values as strings.","operationId":"test_tool_connection","requestBody":{"content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ToolConfigPGVector"},{"$ref":"#/components/schemas/ToolConfigPineconeVectorDB"},{"$ref":"#/components/schemas/ToolConfigSQLDatabasePostgres"},{"$ref":"#/components/schemas/ToolConfigSQLDatabaseMySQL"},{"$ref":"#/components/schemas/ToolConfigSQLDatabaseMSSQL"},{"$ref":"#/components/schemas/ToolConfigSQLDatabaseOracle"},{"$ref":"#/components/schemas/ToolConfigBigQuery"},{"$ref":"#/components/schemas/ToolConfigOpenAPI"},{"$ref":"#/components/schemas/ToolConfigMCP-Input"},{"$ref":"#/components/schemas/ToolConfigKnowledge"}],"title":"Payload","discriminator":{"propertyName":"type","mapping":{"PGVector":"#/components/schemas/ToolConfigPGVector","Pinecone":"#/components/schemas/ToolConfigPineconeVectorDB","PostgreSQL":"#/components/schemas/ToolConfigSQLDatabasePostgres","MySQL":"#/components/schemas/ToolConfigSQLDatabaseMySQL","MSSQL":"#/components/schemas/ToolConfigSQLDatabaseMSSQL","Oracle":"#/components/schemas/ToolConfigSQLDatabaseOracle","BigQuery":"#/components/schemas/ToolConfigBigQuery","OpenAPI":"#/components/schemas/ToolConfigOpenAPI","MCP":"#/components/schemas/ToolConfigMCP-Input","Knowledge":"#/components/schemas/ToolConfigKnowledge"}}}}},"required":true},"responses":{"204":{"description":"Successful Response"},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error"}}}},"/v1/agents/verify-dataset-schema/{dataset_id}":{"post":{"tags":["Agents"],"summary":"Verify Dataset Schema","operationId":"verify_agent_dataset_schema","parameters":[{"name":"dataset_id","in":"path","required":true,"schema":{"type":"string","title":"Dataset Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"boolean","title":"Response Verify Dataset Schema"}}}},"404":{"description":"Not Found"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"500":{"description":"Internal Server Error"}}}},"/v1/agents/{agent_id}":{"get":{"tags":["Agents"],"summary":"Get Agent By Id","description":"Get an agent by id.","operationId":"get_agent_by_id","parameters":[{"name":"agent_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Agent Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Agent"}}}},"404":{"description":"Not Found"},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error"}}},"patch":{"tags":["Agents"],"summary":"Patch Agent","operationId":"patch_agent","parameters":[{"name":"agent_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Agent Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AgentPatchPayload"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Agent"}}}},"404":{"description":"Not Found"},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error"}}},"delete":{"tags":["Agents"],"summary":"Delete Agent","description":"Delete an agent.","operationId":"delete_agent","parameters":[{"name":"agent_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Agent Id"}}],"responses":{"204":{"description":"Successful Response"},"400":{"description":"Bad Request"},"404":{"description":"Not Found"},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error"}}}},"/v1/agents/{agent_id}/activate":{"post":{"tags":["Agents"],"summary":"Activate Agent","operationId":"activate_agent","parameters":[{"name":"agent_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Agent Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Agent"}}}},"404":{"description":"Not Found"},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error"}}}},"/v1/agents/{agent_id}/archive":{"post":{"tags":["Agents"],"summary":"Archive Agent","operationId":"archive_agent","parameters":[{"name":"agent_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Agent Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"404":{"description":"Not Found"},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error"}}}},"/v1/agents/{agent_id}/create-dataset":{"post":{"tags":["Agents"],"summary":"Create Agent Dataset","description":"Create a new dataset for agent.","operationId":"create_agent_dataset","parameters":[{"name":"agent_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Agent Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DatasetPayload"}}}},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true,"title":"Response Create Agent Dataset"}}}},"401":{"description":"Unauthorized"},"404":{"description":"Not Found"},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error"}}}},"/v1/agents/{agent_id}/deactivate":{"post":{"tags":["Agents"],"summary":"Deactivate Agent","operationId":"deactivate_agent","parameters":[{"name":"agent_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Agent Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Agent"}}}},"404":{"description":"Not Found"},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error"}}}},"/v1/agents/{agent_id}/regenerate":{"post":{"tags":["Agents"],"summary":"Regenerate Api Token","operationId":"regenerate_api_token","parameters":[{"name":"agent_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Agent Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Agent"}}}},"404":{"description":"Not Found"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"500":{"description":"Internal Server Error"}}}},"/v1/agents/{agent_id}/tags":{"post":{"tags":["Agents"],"summary":"Add Agent Tags","description":"Add tags to agent.","operationId":"add_agent_tags","parameters":[{"name":"agent_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Agent Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"array","items":{"type":"string","format":"uuid4"},"title":"Tag List"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"400":{"description":"Bad Request"},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error"}}},"delete":{"tags":["Agents"],"summary":"Delete Agent Tags","description":"Delete tags from agent.","operationId":"delete_agent_tags","parameters":[{"name":"agent_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Agent Id"}},{"name":"ids","in":"query","required":true,"schema":{"type":"array","items":{"type":"string","format":"uuid4"},"description":"List of tag UUIDs to delete","title":"Ids"},"description":"List of tag UUIDs to delete"}],"responses":{"204":{"description":"Successful Response"},"400":{"description":"Bad Request"},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error"}}}},"/v1/agents/{agent_id}/unarchive":{"post":{"tags":["Agents"],"summary":"Unarchive Agent","operationId":"unarchive_agent","parameters":[{"name":"agent_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Agent Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Agent"}}}},"404":{"description":"Not Found"},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error"}}}},"/v1/agents/{agent_id}/unpublish":{"post":{"tags":["Agents"],"summary":"Deactivate Agent","operationId":"deactivate_agent_v1_agents__agent_id__unpublish_post","parameters":[{"name":"agent_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Agent Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Agent"}}}},"404":{"description":"Not Found"},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error"}}}},"/v1/agents/{agent_id}/versions":{"post":{"tags":["Agents"],"summary":"Create Version","description":"Create a new version.","operationId":"create_version","parameters":[{"name":"agent_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Agent Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/VersionCreatePayload"}}}},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Version"}}}},"401":{"description":"Unauthorized"},"404":{"description":"Not Found"},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error"}}},"get":{"tags":["Agents"],"summary":"Get Agent Versions","description":"Get versions of the specified agent.","operationId":"get_agent_versions","parameters":[{"name":"agent_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Agent Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Version"},"title":"Response Get Agent Versions"}}}},"404":{"description":"Not Found"},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error"}}}},"/v1/agents/{agent_id}/versions/{version_id}":{"patch":{"tags":["Agents"],"summary":"Patch Version","description":"Patch a version.","operationId":"patch_version","parameters":[{"name":"agent_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Agent Id"}},{"name":"version_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Version Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/VersionPatchPayload"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Version"}}}},"401":{"description":"Unauthorized"},"404":{"description":"Not Found"},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error"}}},"get":{"tags":["Agents"],"summary":"Get Agent Version","description":"Get specified version of specified agent.","operationId":"get_agent_version","parameters":[{"name":"agent_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Agent Id"}},{"name":"version_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Version Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Version"}}}},"404":{"description":"Not Found"},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error"}}}},"/v1/app-worker/{id}/v1/ask":{"post":{"tags":["Agents"],"summary":"Ask","operationId":"ask_ask_post","parameters":[{"name":"x-api-token","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Api-Token"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"},"description":"Application worker ID"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AskRequestPayload"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AskResponsePayload"}}}},"400":{"description":"Bad Request"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"500":{"description":"Internal Server Error"}},"security":[]}},"/v1/app-worker/{id}/v1/ask/stream":{"post":{"tags":["Agents"],"summary":"Ask Stream","description":"Stream AI response for the given input.\n\nThis endpoint accepts a conversational input and streams the AI-generated\nresponse in chunks as they become available.","operationId":"ask_stream_ask_stream_post","parameters":[{"name":"x-api-token","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Api-Token"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"},"description":"Application worker ID"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AskRequestPayload"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StreamedResponse"}},"text/event-stream":{}}},"400":{"description":"Bad Request"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"500":{"description":"Internal Server Error"}},"security":[]}},"/v1/app-worker/{id}/v1/feedback":{"post":{"tags":["Agents"],"summary":"Feedback","description":"Publish feedback to events\n\nParameters:\n- **answer_id**: A UUID representing the message id of the answer\n- **question**: A string representing the question that was asked by the user\n- **answer**: A string representing the answer that was given by the AI\n- **is_positive**: A boolean representing the feedback is positive or negative\n- **negative_feedback_category_harmful**: A boolean representing the feedback category harmful\n- **negative_feedback_category_untrue**: A boolean representing the feedback category untrue\n- **negative_feedback_category_unhelpful**: A boolean representing the feedback category unhelpful\n- **negative_feedback_category_other**: A boolean representing the feedback category other\n- **feedback_description**: A string representing the feedback description","operationId":"feedback_feedback_post","parameters":[{"name":"x-api-token","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Api-Token"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"},"description":"Application worker ID"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EventFeedbackData"}}}},"responses":{"204":{"description":"Successful Response"},"400":{"description":"Bad Request"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"500":{"description":"Internal Server Error"}},"security":[]}},"/v1/application-playground/ask":{"post":{"tags":["Agents"],"summary":"Ask Playground","description":"Proxy ask request to the playground service.","operationId":"ask_playground_v1_application_playground_ask_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PlaygroundAskProxyRequestPayload"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AskResponsePayload"}}}},"400":{"description":"Bad Request"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"500":{"description":"Internal Server Error"}}}},"/v1/application-playground/ask/stream":{"post":{"tags":["Agents"],"summary":"Ask Stream Playground","description":"Proxy streaming ask request to the playground service.","operationId":"ask_stream_playground_v1_application_playground_ask_stream_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PlaygroundAskProxyRequestPayload"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StreamedResponse"}},"text/event-stream":{}}},"400":{"description":"Bad Request"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"500":{"description":"Internal Server Error"}}}},"/v1/dashboard-items":{"post":{"tags":["Dashboard-items"],"summary":"Create Dashboard Item","description":"Creates a new dashboard item while assigning it to a dashboard\n:return: DashboardItem","operationId":"create_dashboard_item","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DashboardItemCreate"}}}},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DashboardItem"}}}},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error"}}},"get":{"tags":["Dashboard-items"],"summary":"Get Dashboards Items","description":"Get all dashboard items of tenant, excepts multiple filters\n:return: List[DashboardITem]","operationId":"get_dashboards_items","parameters":[{"name":"dashboard_id","in":"query","required":false,"schema":{"anyOf":[{"type":"string","format":"uuid"},{"type":"null"}],"title":"Dashboard Id"}},{"name":"name","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Name"}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","minimum":1,"description":"Page number","default":1,"title":"Page"},"description":"Page number"},{"name":"size","in":"query","required":false,"schema":{"type":"integer","maximum":1000,"default":25,"title":"Size"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Page_DashboardItem_Customized"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"500":{"description":"Internal Server Error"}}}},"/v1/dashboard-items/{dashboard_item_id}":{"get":{"tags":["Dashboard-items"],"summary":"Get Dashboard","description":"returns a specific dashboard item according to id\n:return: DashboardItem","operationId":"get_dashboard_item","parameters":[{"name":"dashboard_item_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Dashboard Item Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DashboardItem"}}}},"404":{"description":"Not Found"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"500":{"description":"Internal Server Error"}}},"delete":{"tags":["Dashboard-items"],"summary":"Delete dashboard item by ID","operationId":"delete_dashboard_item","parameters":[{"name":"dashboard_item_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Dashboard Item Id"}}],"responses":{"204":{"description":"Successful Response"},"404":{"description":"Not Found"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"500":{"description":"Internal Server Error"}}},"patch":{"tags":["Dashboard-items"],"summary":"Update dashboard item by ID","operationId":"update_dashboard_item","parameters":[{"name":"dashboard_item_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Dashboard Item Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DashboardItemUpdate"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DashboardItem"}}}},"404":{"description":"Not Found"},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error"}}}},"/v1/dashboards":{"post":{"tags":["Dashboards"],"summary":"Create Dashboard","operationId":"create_dashboard","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DashboardCreate"}}}},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Dashboard"}}}},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error"}}},"get":{"tags":["Dashboards"],"summary":"Get Dashboards","operationId":"get_dashboards","parameters":[{"name":"only_archived","in":"query","required":false,"schema":{"type":"boolean","description":"Only return archived dashboards","default":false,"title":"Only Archived"},"description":"Only return archived dashboards"},{"name":"name","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Name"}},{"name":"search","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Search"}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","minimum":1,"description":"Page number","default":1,"title":"Page"},"description":"Page number"},{"name":"size","in":"query","required":false,"schema":{"type":"integer","maximum":1000,"default":25,"title":"Size"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Page_Dashboard_Customized"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"500":{"description":"Internal Server Error"}}}},"/v1/dashboards/bulk-action":{"post":{"tags":["Dashboards"],"summary":"Dashboard Bulk Action","description":"Perform a bulk action on a list of dashboards.","operationId":"dashboard_bulk_action","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DashboardBulkActionRequest"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BulkActionResponse"}}}},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error"}}}},"/v1/dashboards/search":{"post":{"tags":["Dashboards"],"summary":"Search Dashboards","operationId":"search_dashboards","parameters":[{"name":"page","in":"query","required":false,"schema":{"type":"integer","minimum":1,"description":"Page number","default":1,"title":"Page"},"description":"Page number"},{"name":"size","in":"query","required":false,"schema":{"type":"integer","maximum":1000,"default":25,"title":"Size"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DashboardSearchParams"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Page_Dashboard_Customized"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"500":{"description":"Internal Server Error"}}}},"/v1/dashboards/tags/{tag}":{"get":{"tags":["Dashboards"],"summary":"Get Tagged Dashboards","description":"Get all ids tagged by *all* tags.","operationId":"get_tagged_dashboards","parameters":[{"name":"tag","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Tag"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"type":"string","format":"uuid"},"title":"Response Get Tagged Dashboards"}}}},"401":{"description":"Unauthorized"},"404":{"description":"Not Found"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"500":{"description":"Internal Server Error"}}}},"/v1/dashboards/{dashboard_id}":{"get":{"tags":["Dashboards"],"summary":"Get Dashboard","operationId":"get_dashboard","parameters":[{"name":"dashboard_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Dashboard Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Dashboard"}}}},"404":{"description":"Not Found"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"500":{"description":"Internal Server Error"}}},"delete":{"tags":["Dashboards"],"summary":"Delete dashboard by ID","operationId":"delete_dashboard","parameters":[{"name":"dashboard_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Dashboard Id"}}],"responses":{"204":{"description":"Successful Response"},"404":{"description":"Not Found"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"500":{"description":"Internal Server Error"}}},"patch":{"tags":["Dashboards"],"summary":"Update dashboard by ID","operationId":"update_dashboard","parameters":[{"name":"dashboard_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Dashboard Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DashboardUpdate"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Dashboard"}}}},"404":{"description":"Not Found"},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error"}}}},"/v1/dashboards/{dashboard_id}/archive":{"post":{"tags":["Dashboards"],"summary":"Archive Dashboard","description":"Add tags to dashboard.","operationId":"archive_dashboard","parameters":[{"name":"dashboard_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Dashboard Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"400":{"description":"Bad Request"},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error"}}}},"/v1/dashboards/{dashboard_id}/tags":{"post":{"tags":["Dashboards"],"summary":"Add Dashboard Tags","description":"Add tags to dashboard.","operationId":"add_dashboard_tags","parameters":[{"name":"dashboard_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Dashboard Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"array","items":{"type":"string","format":"uuid"},"title":"Tag List"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"400":{"description":"Bad Request"},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error"}}},"delete":{"tags":["Dashboards"],"summary":"Delete Dashboard Tags","description":"Delete tags from dashboard.","operationId":"delete_dashboard_tags","parameters":[{"name":"dashboard_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Dashboard Id"}},{"name":"ids","in":"query","required":true,"schema":{"type":"array","items":{"type":"string","format":"uuid"},"description":"List of tag UUIDs to delete","title":"Ids"},"description":"List of tag UUIDs to delete"}],"responses":{"204":{"description":"Successful Response"},"400":{"description":"Bad Request"},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error"}}}},"/v1/dashboards/{dashboard_id}/unarchive":{"post":{"tags":["Dashboards"],"summary":"Unarchive Dashboard","description":"Add tags to dashboard.","operationId":"unarchive_dashboard","parameters":[{"name":"dashboard_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Dashboard Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Dashboard"}}}},"400":{"description":"Bad Request"},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error"}}}},"/v1/dataset-models":{"get":{"tags":["Dataset-model"],"summary":"Get All Dataset Model Info","description":"Get all Dataset-Model connections and details\n- **size**: Number of items per page (use it to get more items than 25 -> all items)\n- **page**: Page number","operationId":"get_all_dataset_model_info","parameters":[{"name":"id","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Id"}},{"name":"name","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Name"}},{"name":"created_by","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Created By"}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","minimum":1,"description":"Page number","default":1,"title":"Page"},"description":"Page number"},{"name":"size","in":"query","required":false,"schema":{"type":"integer","maximum":1000,"default":25,"title":"Size"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Page_ModelFullResponse_Customized"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/dataset-models/{dataset_id}/{model_id}":{"post":{"tags":["Dataset-model"],"summary":"Connect Dataset Model","description":"Connect a Dataset to a Model\n\n- **dataset_id** (str): Required. The dataset id.\n- **model_id** (str): Required. The model id.","operationId":"connect_dataset_model","parameters":[{"name":"dataset_id","in":"path","required":true,"schema":{"type":"string","title":"Dataset Id"}},{"name":"model_id","in":"path","required":true,"schema":{"type":"string","title":"Model Id"}}],"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"delete":{"tags":["Dataset-model"],"summary":"Disconnect Dataset Model","description":"Disconnect a Dataset from a Model\n\n- **dataset_id** (str): Required. The dataset id.\n- **model_id** (str): Required. The model id.","operationId":"disconnect_dataset_model","parameters":[{"name":"dataset_id","in":"path","required":true,"schema":{"type":"string","title":"Dataset Id"}},{"name":"model_id","in":"path","required":true,"schema":{"type":"string","title":"Model Id"}}],"responses":{"204":{"description":"Successful Response"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/dataset-sources":{"post":{"tags":["Dataset-sources"],"summary":"Create Dataset Source","description":"Create a new DatasetSource.\n\n- **dataset_id** (str): Required, ID of the dataset. The dataset must already exist.\n- **source_id** (UUID): Required, Unique Identifier(UUID) of the source data. The source must already exist.\n- **folder** (str or None): Optional, Path within the bucket to ingest data from..\n- **query** (str or None): Optional, Query statement to retrieve data.\n- **created_at** (datetime or None): Optional, Timestamp when the data source was created.\n- **updated_at** (datetime or None): Optional, Timestamp when the data source was last updated.\n- **ingest_type** (IngestType): Optional, Type of data ingestion. Default is IngestType.INSERT.","operationId":"create_dataset_source","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DatasetSourceCreate"}}}},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DatasetSourceResponse"}}}},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error"}}},"get":{"tags":["Dataset-sources"],"summary":"Get Dataset Sources","description":"Retrieve all Dataset Sources based on the provided filters.\n\n- **source_id**: ID of the source\n- **folder**: Path within the bucket to ingest data from\n- **id**: ID of the dataset source\n- **dataset_id**: ID of the dataset\n- **created_by**: Creator of the dataset source\n- **ingest_type**: Type of ingestion","operationId":"get_dataset_sources","parameters":[{"name":"source_id","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Source Id"}},{"name":"folder","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Folder"}},{"name":"id","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Id"}},{"name":"dataset_id","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Dataset Id"}},{"name":"created_by","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Created By"}},{"name":"ingest_type","in":"query","required":false,"schema":{"anyOf":[{"$ref":"#/components/schemas/IngestType"},{"type":"null"}],"title":"Ingest Type"}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","minimum":1,"description":"Page number","default":1,"title":"Page"},"description":"Page number"},{"name":"size","in":"query","required":false,"schema":{"type":"integer","maximum":100,"minimum":1,"description":"Page size","default":50,"title":"Size"},"description":"Page size"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Page_DatasetSourceResponseWithSource_"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"500":{"description":"Internal Server Error"}}}},"/v1/dataset-sources/{dataset_source_id}":{"get":{"tags":["Dataset-sources"],"summary":"Get Dataset Source","description":"Retrieve a Dataset Source based on the dataset_source_id.\n\n- **dataset_source_id**: ID of the dataset source","operationId":"get_dataset_source","parameters":[{"name":"dataset_source_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Dataset Source Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DatasetSourceResponse"}}}},"404":{"description":"Not Found"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"500":{"description":"Internal Server Error"}}},"delete":{"tags":["Dataset-sources"],"summary":"Delete Dataset Source","description":"Delete a specific DatasetSource.\n\n- **dataset_source_id**: ID of the dataset source","operationId":"delete_dataset_source","parameters":[{"name":"dataset_source_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Dataset Source Id"}}],"responses":{"204":{"description":"Successful Response"},"404":{"description":"Not Found"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"500":{"description":"Internal Server Error"}}},"patch":{"tags":["Dataset-sources"],"summary":"Update Dataset Source","description":"Update an existing DatasetSource.\n\n- **id** (str): Optional, ID of the dataset source.\n- **dataset_id** (str): Optional, ID of the dataset. The dataset must already exist.\n- **source_id** (UUID): Optional, Unique Identifier(UUID) of the source data. The source must already exist.\n- **folder** (str or None): Optional, Path within the bucket to ingest data from.\n- **query** (str or None): Optional, Query statement to retrieve data.\n- **ingest_type** (IngestType): Optional, Type of data ingestion. Default is IngestType.INSERT.","operationId":"update_dataset_source","parameters":[{"name":"dataset_source_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Dataset Source Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DatasetSourceUpdate"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DatasetSourceResponse"}}}},"404":{"description":"Not Found"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"500":{"description":"Internal Server Error"}}}},"/v1/datasets":{"post":{"tags":["Dataset"],"summary":"Create Dataset","description":"Create a new Dataset\n\n- **payload** (DatasetCreate): Required. The payload that includes:\n - **name** (str): Name of the dataset, min_length=1, max_length=100.\n - **description** (str or None): A description about the dataset.\n - **model_version_id** (str or None): Model version identifier.\n - **tags** (list of DatasetTag or None): A list of tags related to the dataset.\n - **schema** (Schema): The schema of the dataset.","operationId":"create_dataset","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DatasetCreate"}}}},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DatasetResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"get":{"tags":["Dataset"],"summary":"Get Datasets","description":"Retrieve all Datasets based on search query OR provided filters\n\n- **search** (str or None): Optional, Global search query to filter datasets across multiple fields (id, name, created_at, updated_at). If provided, specific filters are ignored.\n- **name** (str or None): Optional, Name of the dataset based on which records to be fetched.\n- **description** (str or None): Optional, Description of the dataset based on which records to be fetched.\n- **id** (str or None): Optional, Unique identifier of the dataset based on which records to be fetched.\n- **model_version_id** (str or None): Optional, Model version identifier based on which datasets to be fetched.\n- **created_by** (str or None): Optional, Identifier of the user who created the datasets based on which datasets to be fetched.","operationId":"get_datasets","parameters":[{"name":"search","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Search"}},{"name":"name","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Name"}},{"name":"description","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Description"}},{"name":"id","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Id"}},{"name":"model_version_id","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Model Version Id"}},{"name":"created_by","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Created By"}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","minimum":1,"description":"Page number","default":1,"title":"Page"},"description":"Page number"},{"name":"size","in":"query","required":false,"schema":{"type":"integer","maximum":1000,"default":25,"title":"Size"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Page_DatasetResponse_Customized"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/datasets/bulk-action":{"post":{"tags":["Dataset"],"summary":"Dataset Bulk Action","description":"Perform a bulk action on a list of datasets.","operationId":"dataset_bulk_action","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DatasetBulkActionRequest"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BulkActionResponse"}}}},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error"}}}},"/v1/datasets/get-media":{"post":{"tags":["Dataset"],"summary":"Get Media","description":"Retrieve a single image from GCS by dataset_id + image_id.","operationId":"get_media","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetMediaRequest"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}},"image/*":{}}},"404":{"description":"Not Found"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/datasets/log-batch":{"post":{"tags":["Dataset"],"summary":"Log Batch","operationId":"log_batch_v1_datasets_log_batch_post","parameters":[{"name":"x-dataset-id","in":"header","required":true,"schema":{"type":"string","title":"X-Dataset-Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/RecordLogMessage"},"title":"Data"}}}},"responses":{"202":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/datasets/log-conversation":{"post":{"tags":["Dataset"],"summary":"Log Conversation","operationId":"log_conversation_v1_datasets_log_conversation_post","parameters":[{"name":"x-agent-id","in":"header","required":true,"schema":{"type":"string","description":"Agent ID","title":"X-Agent-Id"},"description":"Agent ID"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EnrichmentEvent"}}}},"responses":{"202":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/datasets/log-feedback":{"post":{"tags":["Dataset"],"summary":"Log Feedback","operationId":"log_feedback_v1_datasets_log_feedback_post","parameters":[{"name":"x-agent-id","in":"header","required":true,"schema":{"type":"string","description":"Agent ID","title":"X-Agent-Id"},"description":"Agent ID"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EventFeedback"}}}},"responses":{"202":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/datasets/search":{"post":{"tags":["Dataset"],"summary":"Search Datasets","description":"Retrieve all Datasets based on search params","operationId":"search_datasets","parameters":[{"name":"page","in":"query","required":false,"schema":{"type":"integer","minimum":1,"description":"Page number","default":1,"title":"Page"},"description":"Page number"},{"name":"size","in":"query","required":false,"schema":{"type":"integer","maximum":1000,"default":25,"title":"Size"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DatasetSearchParams"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Page_DatasetResponse_Customized"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/datasets/tags/{tag}":{"get":{"tags":["Dataset"],"summary":"Get Tagged Datasets","description":"Get all dataset IDs tagged with the specified tag.","operationId":"get_tagged_datasets","parameters":[{"name":"tag","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Tag"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"type":"string"},"title":"Response Get Tagged Datasets"}}}},"401":{"description":"Unauthorized"},"404":{"description":"Not Found"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"500":{"description":"Internal Server Error"}}}},"/v1/datasets/{dataset_id}":{"get":{"tags":["Dataset"],"summary":"Get Dataset","description":"Fetch a specific Dataset\n\n- **dataset_id** (str): Required, ID of the dataset to be fetched.\n- **warehouse_schema** (bool): Optional. When true, schema types are converted for warehouse consumers (e.g. image→json).","operationId":"get_dataset","parameters":[{"name":"dataset_id","in":"path","required":true,"schema":{"type":"string","title":"Dataset Id"}},{"name":"warehouse_schema","in":"query","required":false,"schema":{"type":"boolean","description":"Convert internal types (e.g. image) to warehouse-compatible types","default":false,"title":"Warehouse Schema"},"description":"Convert internal types (e.g. image) to warehouse-compatible types"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DatasetResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"delete":{"tags":["Dataset"],"summary":"Delete Dataset","description":"Delete a specific Dataset\n\n- **dataset_id** (str): Required, ID of the dataset to be deleted.","operationId":"delete_dataset","parameters":[{"name":"dataset_id","in":"path","required":true,"schema":{"type":"string","title":"Dataset Id"}}],"responses":{"204":{"description":"Successful Response"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"patch":{"tags":["Dataset"],"summary":"Update Dataset","description":"Update an existing Dataset\n\n- **payload** (DatasetUpdate): Required. The payload that includes:\n - **name** (str or None): Updated name of the dataset.\n - **description** (str or None): A revised description about the dataset.\n - **id** (str or None): Unique identifier of the dataset.\n - **model_version_id** (str or None): Updated model version identifier.\n - **created_by** (str or None): Identifier of the user who updated the dataset.\n - **tags** (list of str or None): A list of updated tags related to the dataset.\n - **schema** (SchemaUpdate or None): The updated schema of the dataset.","operationId":"update_dataset","parameters":[{"name":"dataset_id","in":"path","required":true,"schema":{"type":"string","title":"Dataset Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DatasetUpdate"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DatasetResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/datasets/{dataset_id}/archive":{"post":{"tags":["Dataset"],"summary":"Archive Dataset","operationId":"archive_dataset","parameters":[{"name":"dataset_id","in":"path","required":true,"schema":{"type":"string","title":"Dataset Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/datasets/{dataset_id}/log":{"post":{"tags":["Dataset"],"summary":"Log","description":"Log a record. Accepts application/json or multipart/form-data (with images).","operationId":"log_v1_datasets__dataset_id__log_post","parameters":[{"name":"dataset_id","in":"path","required":true,"schema":{"type":"string","title":"Dataset Id"}},{"name":"content-type","in":"header","required":false,"schema":{"type":"string","default":"","title":"Content-Type"}}],"responses":{"202":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/datasets/{dataset_id}/models":{"get":{"tags":["Dataset"],"summary":"Get Models By Dataset Id","description":"Retrieve all Models connected to a Dataset\n\n- **dataset_id** (str): Required, ID of the dataset to fetch models.","operationId":"get_models_by_dataset_id","parameters":[{"name":"dataset_id","in":"path","required":true,"schema":{"type":"string","title":"Dataset Id"}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","minimum":1,"description":"Page number","default":1,"title":"Page"},"description":"Page number"},{"name":"size","in":"query","required":false,"schema":{"type":"integer","maximum":1000,"default":25,"title":"Size"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Page_ModelResponse_Customized"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/datasets/{dataset_id}/tags":{"post":{"tags":["Dataset"],"summary":"Add Dataset Tags","description":"Add tags to dataset.","operationId":"add_dataset_tags","parameters":[{"name":"dataset_id","in":"path","required":true,"schema":{"type":"string","title":"Dataset Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"array","items":{"type":"string","format":"uuid4"},"title":"Tag List"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"400":{"description":"Bad Request"},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error"}}},"delete":{"tags":["Dataset"],"summary":"Delete Dataset Tags","description":"Delete tags from dataset.","operationId":"delete_dataset_tags","parameters":[{"name":"dataset_id","in":"path","required":true,"schema":{"type":"string","title":"Dataset Id"}},{"name":"ids","in":"query","required":true,"schema":{"type":"array","items":{"type":"string","format":"uuid4"},"description":"List of tag UUIDs to delete","title":"Ids"},"description":"List of tag UUIDs to delete"}],"responses":{"204":{"description":"Successful Response"},"400":{"description":"Bad Request"},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error"}}}},"/v1/datasets/{dataset_id}/unarchive":{"post":{"tags":["Dataset"],"summary":"Unarchive Dataset","operationId":"unarchive_dataset","parameters":[{"name":"dataset_id","in":"path","required":true,"schema":{"type":"string","title":"Dataset Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DatasetResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/destinations":{"post":{"tags":["Destinations"],"summary":"Create Destination","description":"Create a new destination\n\n- **base_destination_create** (DestinationCreateBase): Required. The payload that includes:\n - **name** (str): Name of the new destination.\n - **integration_id** (UUID): Unique identifier of the integration to which the destination would be created.\n - **params** (dict): Additional parameters for the creation of the destination.","operationId":"create_destination","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DestinationCreateBase"}}}},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DestinationResponse"}}}},"404":{"description":"Not Found"},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error"}}},"get":{"tags":["Destinations"],"summary":"Get Destinations","description":"Get all available destinations based on the provided filters\n\n- **destination_id** (List[UUID]): Optional filter by destination IDs.\n- **integration_id** (List[UUID]): Optional filter by related integration IDs.\n- **name** (List[str]): Optional filter by destination names.\n- **created_by** (List[str]): Optional filter by creation user IDs.","operationId":"get_destinations","parameters":[{"name":"id","in":"query","required":false,"schema":{"anyOf":[{"type":"array","items":{"type":"string","format":"uuid"}},{"type":"null"}],"title":"Id"}},{"name":"integration_id","in":"query","required":false,"schema":{"anyOf":[{"type":"array","items":{"type":"string","format":"uuid"}},{"type":"null"}],"title":"Integration Id"}},{"name":"name","in":"query","required":false,"schema":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}],"title":"Name"}},{"name":"created_by","in":"query","required":false,"schema":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}],"title":"Created By"}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","minimum":1,"description":"Page number","default":1,"title":"Page"},"description":"Page number"},{"name":"size","in":"query","required":false,"schema":{"type":"integer","maximum":100,"minimum":1,"description":"Page size","default":50,"title":"Size"},"description":"Page size"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Page_DestinationResponse_"}}}},"404":{"description":"Not Found"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"500":{"description":"Internal Server Error"}}}},"/v1/destinations/{destination_id}":{"get":{"tags":["Destinations"],"summary":"Get Destination By Id","description":"Get a specific destination by ID\n\n- **destination_id** (UUID): The unique identifier of the destination.","operationId":"get_destination","parameters":[{"name":"destination_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Destination Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DestinationResponse"}}}},"404":{"description":"Not Found"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"500":{"description":"Internal Server Error"}}},"patch":{"tags":["Destinations"],"summary":"Update Destination By Id","description":"Update a specific destination by ID\n\n- **base_destination_update** (DestinationUpdateBase): The payload containing the update data for the destination, which includes:\n - **name** (str): The updated name of the destination.\n - **params** (dict): A dictionary containing key-value pairs for parameters to be updated.","operationId":"update_destination","parameters":[{"name":"destination_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Destination Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DestinationUpdateBase"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DestinationResponse"}}}},"404":{"description":"Not Found"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"500":{"description":"Internal Server Error"}}},"delete":{"tags":["Destinations"],"summary":"Delete Destination By Id","description":"Delete a specific destination by ID\n\n- **destination_id** (UUID): The unique identifier of the destination.","operationId":"delete_destination","parameters":[{"name":"destination_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Destination Id"}}],"responses":{"204":{"description":"Successful Response"},"404":{"description":"Not Found"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"500":{"description":"Internal Server Error"}}}},"/v1/guardrails":{"get":{"tags":["Guardrails"],"summary":"Get Guardrails","description":"Get guardrails list with pagination.","operationId":"get_guardrails","parameters":[{"name":"only_archived","in":"query","required":false,"schema":{"type":"boolean","default":false,"title":"Only Archived"}},{"name":"search","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Search"}},{"name":"ids","in":"query","required":false,"schema":{"anyOf":[{"type":"array","uniqueItems":true,"items":{"type":"string","format":"uuid4"}},{"type":"null"}],"description":"Guardrail IDs","title":"Ids"},"description":"Guardrail IDs"},{"name":"with_deleted","in":"query","required":false,"schema":{"type":"boolean","description":"Include deleted guardrails","default":false,"title":"With Deleted"},"description":"Include deleted guardrails"},{"name":"page","in":"query","required":false,"schema":{"type":"integer","minimum":1,"description":"Page number","default":1,"title":"Page"},"description":"Page number"},{"name":"size","in":"query","required":false,"schema":{"type":"integer","maximum":1000,"minimum":25,"default":25,"title":"Size"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Page_GuardrailSchema_Customized"}}}},"401":{"description":"Unauthorized"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"500":{"description":"Internal Server Error"}}},"post":{"tags":["Guardrails"],"summary":"Create Guardrail","description":"Create a new guardrail.","operationId":"create_guardrail","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GuardrailCreatePayload"}}}},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GuardrailSchema"}}}},"401":{"description":"Unauthorized"},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error"}}}},"/v1/guardrails/bulk-action":{"post":{"tags":["Guardrails"],"summary":"Guardrail Bulk Action","description":"Perform a bulk action on a list of guardrails.","operationId":"guardrail_bulk_action","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GuardrailBulkActionRequest"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BulkActionResponse"}}}},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error"}}}},"/v1/guardrails/run":{"post":{"tags":["Guardrails"],"summary":"Guardrail Run","description":"Run guardrules. Accepts application/json (text-only) or multipart/form-data (with optional images, up to MAX_IMAGES).","operationId":"guardrail_run","parameters":[{"name":"content-type","in":"header","required":false,"schema":{"type":"string","default":"","title":"Content-Type"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GuardrailValidationResponse"}}}},"401":{"description":"Unauthorized"},"413":{"description":"Request Entity Too Large"},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error"}}}},"/v1/guardrails/schema":{"get":{"tags":["Guardrails"],"summary":"Get Guardrail Schema","description":"Return JSON schema for all available guard payloads dynamically.","operationId":"get_guardrail_schema","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"401":{"description":"Unauthorized"},"404":{"description":"Not Found"},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error"}}}},"/v1/guardrails/search":{"post":{"tags":["Guardrails"],"summary":"Search Guardrails","description":"Get guardrails list with pagination.","operationId":"search_guardrails","parameters":[{"name":"page","in":"query","required":false,"schema":{"type":"integer","minimum":1,"description":"Page number","default":1,"title":"Page"},"description":"Page number"},{"name":"size","in":"query","required":false,"schema":{"type":"integer","maximum":1000,"minimum":25,"default":25,"title":"Size"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GuardrailsSearchParams"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Page_GuardrailSchema_Customized"}}}},"401":{"description":"Unauthorized"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"500":{"description":"Internal Server Error"}}}},"/v1/guardrails/tags/{tag}":{"get":{"tags":["Guardrails"],"summary":"Get Tagged Guardrails","description":"Get all ids tagged by *all* tags.","operationId":"get_tagged_guardrails","parameters":[{"name":"tag","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Tag"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"type":"string","format":"uuid4"},"title":"Response Get Tagged Guardrails"}}}},"401":{"description":"Unauthorized"},"404":{"description":"Not Found"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"500":{"description":"Internal Server Error"}}}},"/v1/guardrails/validate":{"post":{"tags":["Guardrails"],"summary":"Guardrail Validate","description":"Route handler delegating guardrail validate to the service layer.","operationId":"guardrail_validate","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GuardrailValidateRequest"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GuardrailValidationResponse"}}}},"401":{"description":"Unauthorized"},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error"}}}},"/v1/guardrails/verify-dataset-schema/{dataset_id}":{"post":{"tags":["Guardrails"],"summary":"Verify Dataset Schema","description":"Verify that a dataset has the required schema for guardrail observability.","operationId":"verify_guardrail_dataset_schema","parameters":[{"name":"dataset_id","in":"path","required":true,"schema":{"type":"string","title":"Dataset Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"boolean","title":"Response Verify Dataset Schema"}}}},"404":{"description":"Not Found"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"500":{"description":"Internal Server Error"}}}},"/v1/guardrails/versions":{"get":{"tags":["Guardrail Versions"],"summary":"Get Guardrail Versions","description":"Get all guardrail versions.","operationId":"get_guardrail_versions","parameters":[{"name":"guardrail_id","in":"query","required":false,"schema":{"anyOf":[{"type":"string","format":"uuid"},{"type":"null"}],"description":"Guardrail ID","title":"Guardrail Id"},"description":"Guardrail ID"},{"name":"ids","in":"query","required":false,"schema":{"anyOf":[{"type":"array","uniqueItems":true,"items":{"type":"string","format":"uuid"}},{"type":"null"}],"description":"Guardrail version IDs","title":"Ids"},"description":"Guardrail version IDs"},{"name":"with_deleted","in":"query","required":false,"schema":{"type":"boolean","description":"Include deleted guardrails' versions","default":false,"title":"With Deleted"},"description":"Include deleted guardrails' versions"},{"name":"model_provider_with_deleted","in":"query","required":false,"schema":{"type":"boolean","description":"Include deleted model providers","default":false,"title":"Model Provider With Deleted"},"description":"Include deleted model providers"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/GuardrailVersionSchema"},"title":"Response Get Guardrail Versions"}}}},"401":{"description":"Unauthorized"},"404":{"description":"Not Found"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"500":{"description":"Internal Server Error"}}}},"/v1/guardrails/versions/run":{"post":{"tags":["Guardrail Versions"],"summary":"Run Guardrail Versions","description":"Run guardrail versions. Accepts application/json (text-only) or multipart/form-data (with optional images, up to MAX_IMAGES).","operationId":"run_guardrail_versions","parameters":[{"name":"content-type","in":"header","required":false,"schema":{"type":"string","default":"","title":"Content-Type"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/GuardrailRuleResult"},"title":"Response Run Guardrail Versions"}}}},"401":{"description":"Unauthorized"},"404":{"description":"Not Found"},"413":{"description":"Request Entity Too Large"},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error"}}}},"/v1/guardrails/versions/{guardrail_version_id}":{"patch":{"tags":["Guardrail Versions"],"summary":"Patch Guardrail Version","description":"Patch a guardrail version.","operationId":"patch_guardrail_version","parameters":[{"name":"guardrail_version_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Guardrail Version Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GuardrailVersionPatchPayload"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GuardrailVersionSchema"}}}},"401":{"description":"Unauthorized"},"404":{"description":"Not Found"},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error"}}}},"/v1/guardrails/{guardrail_id}":{"get":{"tags":["Guardrails"],"summary":"Get Guardrail By Id","description":"Get guardrail by id.","operationId":"get_guardrail_by_id","parameters":[{"name":"guardrail_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Guardrail Id"}},{"name":"with_deleted","in":"query","required":false,"schema":{"type":"boolean","description":"Include deleted guardrails","default":false,"title":"With Deleted"},"description":"Include deleted guardrails"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GuardrailSchema"}}}},"401":{"description":"Unauthorized"},"404":{"description":"Not Found"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"500":{"description":"Internal Server Error"}}},"patch":{"tags":["Guardrails"],"summary":"Patch Guardrail","description":"Patch a guardrail.","operationId":"patch_guardrail","parameters":[{"name":"guardrail_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Guardrail Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GuardrailPatchPayload"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GuardrailSchema"}}}},"401":{"description":"Unauthorized"},"404":{"description":"Not Found"},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error"}}},"delete":{"tags":["Guardrails"],"summary":"Delete Guardrail","description":"Delete a guardrail.","operationId":"delete_guardrail","parameters":[{"name":"guardrail_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Guardrail Id"}}],"responses":{"204":{"description":"Successful Response"},"401":{"description":"Unauthorized"},"404":{"description":"Not Found"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"500":{"description":"Internal Server Error"}}}},"/v1/guardrails/{guardrail_id}/archive":{"post":{"tags":["Guardrails"],"summary":"Archive Guardrail","operationId":"archive_guardrail","parameters":[{"name":"guardrail_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Guardrail Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"404":{"description":"Not Found"},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error"}}}},"/v1/guardrails/{guardrail_id}/create-dataset":{"post":{"tags":["Guardrails"],"summary":"Create Guardrail Dataset","operationId":"create_guardrail_dataset","parameters":[{"name":"guardrail_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Guardrail Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DatasetPayload"}}}},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"object","additionalProperties":true,"title":"Response Create Guardrail Dataset"}}}},"401":{"description":"Unauthorized"},"404":{"description":"Not Found"},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error"}}}},"/v1/guardrails/{guardrail_id}/tags":{"post":{"tags":["Guardrails"],"summary":"Add Guardrail Tags","description":"Add tags to guardrail.","operationId":"add_guardrail_tags","parameters":[{"name":"guardrail_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Guardrail Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"array","items":{"type":"string","format":"uuid4"},"title":"Tag List"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"400":{"description":"Bad Request"},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error"}}},"delete":{"tags":["Guardrails"],"summary":"Delete Guardrail Tags","description":"Delete tags from guardrail.","operationId":"delete_guardrail_tags","parameters":[{"name":"guardrail_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Guardrail Id"}},{"name":"ids","in":"query","required":true,"schema":{"type":"array","items":{"type":"string","format":"uuid4"},"description":"List of tag UUIDs to delete","title":"Ids"},"description":"List of tag UUIDs to delete"}],"responses":{"204":{"description":"Successful Response"},"400":{"description":"Bad Request"},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error"}}}},"/v1/guardrails/{guardrail_id}/unarchive":{"post":{"tags":["Guardrails"],"summary":"Unarchive Guardrail","operationId":"unarchive_guardrail","parameters":[{"name":"guardrail_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Guardrail Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GuardrailSchema"}}}},"404":{"description":"Not Found"},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error"}}}},"/v1/guardrails/{guardrail_id}/versions":{"post":{"tags":["Guardrail Versions"],"summary":"Create Guardrail Version","description":"Create a new guardrail version.","operationId":"create_guardrail_version","parameters":[{"name":"guardrail_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Guardrail Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GuardrailVersionCreatePayload"}}}},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GuardrailVersionSchema"}}}},"401":{"description":"Unauthorized"},"404":{"description":"Not Found"},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error"}}}},"/v1/integrations":{"get":{"tags":["Integrations"],"summary":"Get Integrations","description":"Get all available integrations\n\n- **integration_type** (IntegrationType): Optional filter by integration type\n- **created_by** (str): Optional filter by user ID who created the integration.","operationId":"get_integrations","parameters":[{"name":"integration_type","in":"query","required":false,"schema":{"anyOf":[{"$ref":"#/components/schemas/IntegrationType"},{"type":"null"}],"title":"Integration Type"}},{"name":"created_by","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Created By"}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","minimum":1,"description":"Page number","default":1,"title":"Page"},"description":"Page number"},{"name":"size","in":"query","required":false,"schema":{"type":"integer","maximum":100,"minimum":1,"description":"Page size","default":50,"title":"Size"},"description":"Page size"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Page_IntegrationResponse_"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"500":{"description":"Internal Server Error"}}}},"/v1/integrations/{integration_id}":{"get":{"tags":["Integrations"],"summary":"Get Integration By Id","description":"Get a specific integration by ID\n\n- **integration_id** (UUID): The unique identifier of the integration.","operationId":"get_integration","parameters":[{"name":"integration_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Integration Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IntegrationResponse"}}}},"404":{"description":"Not Found"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"500":{"description":"Internal Server Error"}}},"delete":{"tags":["Integrations"],"summary":"Delete Integration By Id","description":"Delete a specific integration by ID\n\n- **integration_id** (UUID): The unique identifier of the integration.\n- **delete_destinations** (bool): Whether or not to delete destinations associated with the integration.","operationId":"delete_integration","parameters":[{"name":"integration_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Integration Id"}},{"name":"delete_destinations","in":"query","required":false,"schema":{"type":"boolean","default":false,"title":"Delete Destinations"}}],"responses":{"204":{"description":"Successful Response"},"404":{"description":"Not Found"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"500":{"description":"Internal Server Error"}}}},"/v1/knowledge":{"post":{"tags":["Knowledge"],"summary":"Create Knowledge","description":"Create a new knowledge object.","operationId":"create_knowledge","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/KnowledgeCreatePayload"}}}},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Knowledge"}}}},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error"}}},"get":{"tags":["Knowledge"],"summary":"Get Knowledges","description":"Get Knowledge objects.","operationId":"get_knowledge_objects","parameters":[{"name":"with_deleted","in":"query","required":false,"schema":{"type":"boolean","description":"Include deleted knowledge","default":false,"title":"With Deleted"},"description":"Include deleted knowledge"},{"name":"page","in":"query","required":false,"schema":{"type":"integer","minimum":1,"description":"Page number","default":1,"title":"Page"},"description":"Page number"},{"name":"size","in":"query","required":false,"schema":{"type":"integer","maximum":1000,"minimum":25,"default":25,"title":"Size"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Page_Knowledge_Customized"}}}},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error"}}}},"/v1/knowledge/file_info/{ids_list}":{"get":{"tags":["Knowledge"],"summary":"Get File Info","description":"Get file information for a list of file IDs.","operationId":"get_file_info","parameters":[{"name":"ids_list","in":"path","required":true,"schema":{"type":"string","title":"Ids List"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FileInfo"},"title":"Response Get File Info"}}}},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error"}}}},"/v1/knowledge/upload":{"post":{"tags":["Knowledge"],"summary":"Upload Files","description":"Upload files to cloud storage.","operationId":"upload_files","requestBody":{"content":{"multipart/form-data":{"schema":{"$ref":"#/components/schemas/Body_upload_files"}}},"required":true},"responses":{"202":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UploadResponse"}}}},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error"}}}},"/v1/knowledge/{knowledge_id}":{"delete":{"tags":["Knowledge"],"summary":"Delete Knowledge","description":"Delete an knowledge object.","operationId":"delete_knowledge","parameters":[{"name":"knowledge_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Knowledge Id"}}],"responses":{"204":{"description":"Successful Response"},"400":{"description":"Bad Request"},"404":{"description":"Not Found"},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error"}}},"get":{"tags":["Knowledge"],"summary":"Get Knowledge By Id","description":"Get a knowledge object by id.","operationId":"get_knowledge_by_id","parameters":[{"name":"knowledge_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Knowledge Id"}},{"name":"with_deleted","in":"query","required":false,"schema":{"type":"boolean","description":"Include deleted knowledge","default":false,"title":"With Deleted"},"description":"Include deleted knowledge"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Knowledge"}}}},"404":{"description":"Not Found"},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error"}}},"patch":{"tags":["Knowledge"],"summary":"Update knowledge object","operationId":"update_knowledge","parameters":[{"name":"knowledge_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Knowledge Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/KnowledgeUpdate"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Knowledge"}}}},"404":{"description":"Not Found"},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error"}}}},"/v1/knowledge/{knowledge_id}/reindex":{"post":{"tags":["Knowledge"],"summary":"Reindex knowledge documents","operationId":"reindex_knowledge","parameters":[{"name":"knowledge_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Knowledge Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Knowledge"}}}},"404":{"description":"Not Found"},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error"}}}},"/v1/mcps":{"post":{"tags":["MCP Tools"],"summary":"Create Mcp","description":"Create a new MCP entity.\n\nThis endpoint will connect to the MCP server, fetch available tools,\nand validate that the specified tool_name exists.\n\nParameters:\n- **name**: MCP name\n- **url**: MCP server URL\n- **tool_name**: Name of the specific tool to fetch from MCP server\n- **network_access**: Network access level (must be 'remote')\n- **headers**: Optional authentication headers","operationId":"create_mcp","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MCPBase"}}}},"responses":{"201":{"description":"MCP entity created successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MCP"}}}},"400":{"description":"Invalid request or tool not found in MCP server"},"422":{"description":"Validation error (malformed request)"},"500":{"description":"Internal server error"},"502":{"description":"MCP server connection error"}}},"get":{"tags":["MCP Tools"],"summary":"List Mcps","description":"Get a paginated list of MCP entities.\n\nIf search is provided, it takes priority over specific filters.\nBy default, soft-deleted MCPs are excluded. Set include_disabled=true to include them.","operationId":"list_mcps","parameters":[{"name":"search","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Search"}},{"name":"name","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Name"}},{"name":"url","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Url"}},{"name":"network_access","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Network Access"}},{"name":"include_disabled","in":"query","required":false,"schema":{"type":"boolean","default":false,"title":"Include Disabled"}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","minimum":1,"description":"Page number","default":1,"title":"Page"},"description":"Page number"},{"name":"size","in":"query","required":false,"schema":{"type":"integer","maximum":100,"minimum":1,"default":25,"title":"Size"}}],"responses":{"200":{"description":"List of MCP entities","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Page_MCP_Customized"}}}},"422":{"description":"Validation error"},"500":{"description":"Internal server error"}}}},"/v1/mcps/test":{"post":{"tags":["MCP Tools"],"summary":"Test Mcp Connectivity","description":"Test MCP server connectivity.\n\nThis endpoint tests the connectivity to the MCP server using the provided URL and headers.\nOn success, it returns the full list of available tools with their schemas.\nOn failure, it returns an appropriate error status code (400 or 502).\n\nParameters:\n- **url**: The MCP server URL to test\n- **headers**: Optional authentication headers","operationId":"test_mcp_connectivity","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MCPTestRequest"}}},"required":true},"responses":{"200":{"description":"Successfully connected to MCP server with tool schemas","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MCPTestResponse"}}}},"400":{"description":"Invalid JSON from MCP server"},"422":{"description":"Validation error"},"500":{"description":"Internal server error"},"502":{"description":"Failed to connect to MCP server"}}}},"/v1/mcps/{mcp_id}":{"get":{"tags":["MCP Tools"],"summary":"Get Mcp By Id","description":"Get an MCP entity by ID.\n\nBy default, returns 404 for soft-deleted MCPs. Set disabled=true to retrieve them.\n\nParameters:\n- **mcp_id**: The UUID of the MCP entity\n- **include_disabled**: If true, will return soft-deleted MCPs","operationId":"get_mcp_by_id","parameters":[{"name":"mcp_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Mcp Id"}},{"name":"include_disabled","in":"query","required":false,"schema":{"type":"boolean","description":"Include soft-deleted MCPs (default: false)","default":false,"title":"Include Disabled"},"description":"Include soft-deleted MCPs (default: false)"}],"responses":{"200":{"description":"MCP entity details","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MCP"}}}},"404":{"description":"MCP entity not found"},"422":{"description":"Validation error"},"500":{"description":"Internal server error"}}},"patch":{"tags":["MCP Tools"],"summary":"Update Mcp","description":"Update an MCP entity.\n\nOnly the name field can be updated. All other fields are immutable.\n\nParameters:\n- **mcp_id**: The UUID of the MCP entity\n- **payload**: Update payload (only name field is allowed)","operationId":"update_mcp","parameters":[{"name":"mcp_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Mcp Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MCPUpdate"}}}},"responses":{"200":{"description":"MCP entity updated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MCP"}}}},"400":{"description":"Invalid request"},"404":{"description":"MCP entity not found"},"422":{"description":"Validation error"},"500":{"description":"Internal server error"}}},"delete":{"tags":["MCP Tools"],"summary":"Delete Mcp","description":"Soft delete an MCP entity.\n\nThis endpoint will soft delete the MCP by setting the deleted_at timestamp.\nExisting agent versions that reference this MCP will continue to work.\n\nParameters:\n- **mcp_id**: The UUID of the MCP entity","operationId":"delete_mcp","parameters":[{"name":"mcp_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Mcp Id"}}],"responses":{"204":{"description":"MCP entity deleted successfully"},"404":{"description":"MCP entity not found"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"500":{"description":"Internal server error"}}}},"/v1/metrics/distribution":{"post":{"tags":["Metrics"],"summary":"Distribution","operationId":"distribution","parameters":[{"name":"x-meta-type","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"use_cache":false,"default":"dataset","title":"X-Meta-Type"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DistributionPayload"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DistributionResponse"}}}},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error"}}}},"/v1/metrics/distribution-multi":{"post":{"tags":["Metrics"],"summary":"Distribution Multi","operationId":"distribution-multiple","parameters":[{"name":"x-meta-type","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"use_cache":false,"default":"dataset","title":"X-Meta-Type"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DistributionPayload"},"title":"Payload"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DistributionResponse"},"title":"Response Distribution-Multiple"}}}},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error"}}}},"/v1/metrics/performance":{"post":{"tags":["Metrics"],"summary":"Performance","operationId":"performance","requestBody":{"content":{"application/json":{"schema":{"anyOf":[{"$ref":"#/components/schemas/AccuracyPayload"},{"$ref":"#/components/schemas/PrecisionPayload"},{"$ref":"#/components/schemas/RecallPayload"},{"$ref":"#/components/schemas/F1ScorePayload"},{"$ref":"#/components/schemas/RMSEPayload"},{"$ref":"#/components/schemas/MSEPayload"},{"$ref":"#/components/schemas/MAEPayload"},{"$ref":"#/components/schemas/MAPEPayload"},{"$ref":"#/components/schemas/LogLossPayload"},{"$ref":"#/components/schemas/AUCROCPayload"}],"title":"Payload"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PerformanceResponse"}}}},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error"}}}},"/v1/metrics/performance-multi":{"post":{"tags":["Metrics"],"summary":"Performance Multi","operationId":"performance-multiple","requestBody":{"content":{"application/json":{"schema":{"items":{"anyOf":[{"$ref":"#/components/schemas/AccuracyPayload"},{"$ref":"#/components/schemas/PrecisionPayload"},{"$ref":"#/components/schemas/RecallPayload"},{"$ref":"#/components/schemas/F1ScorePayload"},{"$ref":"#/components/schemas/RMSEPayload"},{"$ref":"#/components/schemas/MSEPayload"},{"$ref":"#/components/schemas/MAEPayload"},{"$ref":"#/components/schemas/MAPEPayload"},{"$ref":"#/components/schemas/LogLossPayload"},{"$ref":"#/components/schemas/AUCROCPayload"}]},"type":"array","title":"Payload"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"items":{"$ref":"#/components/schemas/PerformanceResponse"},"type":"array","title":"Response Performance-Multiple"}}}},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error"}}}},"/v1/model-providers":{"get":{"tags":["Model Providers"],"summary":"Get Model Providers","description":"Get model providers list with pagination.","operationId":"get_model_providers","parameters":[{"name":"search","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Search"}},{"name":"ids","in":"query","required":false,"schema":{"anyOf":[{"type":"array","uniqueItems":true,"items":{"type":"string","format":"uuid4"}},{"type":"null"}],"description":"Model provider IDs","title":"Ids"},"description":"Model provider IDs"},{"name":"with_deleted","in":"query","required":false,"schema":{"type":"boolean","description":"Include deleted model providers","default":false,"title":"With Deleted"},"description":"Include deleted model providers"},{"name":"type","in":"query","required":false,"schema":{"anyOf":[{"enum":["embedding","chat"],"type":"string"},{"type":"null"}],"description":"Filter by provider capability","title":"Type"},"description":"Filter by provider capability"},{"name":"page","in":"query","required":false,"schema":{"type":"integer","minimum":1,"description":"Page number","default":1,"title":"Page"},"description":"Page number"},{"name":"size","in":"query","required":false,"schema":{"type":"integer","maximum":1000,"minimum":25,"default":25,"title":"Size"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Page_ModelProviderSchema_Customized"}}}},"401":{"description":"Unauthorized"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"500":{"description":"Internal Server Error"}}},"post":{"tags":["Model Providers"],"summary":"Create Model Provider","description":"Create a new model provider.","operationId":"create_model_provider","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ModelProviderCreatePayload"}}}},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ModelProviderSchema"}}}},"401":{"description":"Unauthorized"},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error"}}}},"/v1/model-providers/prebuilt-provider/status":{"get":{"tags"
[...]
